For the complete documentation index, see llms.txt. This page is also available as Markdown.

Artifact versions

List Artifact Versions

get

Get artifact versions according to query filters.

Args: artifact_version_filter_model: Filter model used for pagination, sorting, filtering. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response. auth_context: The authentication context.

Returns: The artifact versions according to query filters.

Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
hydratebooleanOptionalDefault: false
sort_bystringOptionalDefault: created
logical_operatorstring · enumOptional

Logical Ops to use to combine filters on list methods.

Default: andPossible values:
pageinteger · min: 1OptionalDefault: 1
sizeinteger · min: 1 · max: 10000OptionalDefault: 20
idany of · nullableOptional
string · uuidOptional
or
stringOptional
or
createdany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
updatedany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
run_metadataany of · nullableOptional
stringOptional
or
string[]Optional
tagsany of · nullableOptional
stringOptional
or
string[]Optional
scope_userstring · uuid · nullableOptional
userany of · nullableOptional
string · uuidOptional
or
stringOptional
or
projectany of · nullableOptional
string · uuidOptional
or
stringOptional
artifactany of · nullableOptional
string · uuidOptional
or
stringOptional
or
artifact_idany of · nullableOptional
string · uuidOptional
or
stringOptional
or
versionany of · nullableOptional
stringOptional
or
string[]Optional
version_numberany of · nullableOptional
integerOptional
or
stringOptional
or
uriany of · nullableOptional
stringOptional
or
string[]Optional
materializerany of · nullableOptional
stringOptional
or
string[]Optional
typeany of · nullableOptional
stringOptional
or
string[]Optional
data_typeany of · nullableOptional
stringOptional
or
string[]Optional
artifact_store_idany of · nullableOptional
string · uuidOptional
or
stringOptional
or
model_version_idany of · nullableOptional
string · uuidOptional
or
stringOptional
or
only_unusedboolean · nullableOptionalDefault: false
has_custom_nameboolean · nullableOptional
modelany of · nullableOptional
string · uuidOptional
or
stringOptional
or
pipeline_runany of · nullableOptional
string · uuidOptional
or
stringOptional
or
Responses
200

Successful Response

application/json
indexintegerRequired
max_sizeintegerRequired
total_pagesintegerRequired
totalintegerRequired
get/api/v1/artifact_versions
GET /api/v1/artifact_versions HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "index": 1,
  "max_size": 1,
  "total_pages": 1,
  "total": 1,
  "items": [
    {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000",
        "project_id": "123e4567-e89b-12d3-a456-426614174000",
        "artifact": {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "user_id": "123e4567-e89b-12d3-a456-426614174000",
            "project_id": "123e4567-e89b-12d3-a456-426614174000"
          },
          "metadata": {
            "has_custom_name": false
          },
          "resources": {
            "user": {
              "body": {
                "created": "2026-01-01T00:00:00.000Z",
                "updated": "2026-01-01T00:00:00.000Z",
                "active": false,
                "activation_token": "text",
                "full_name": "",
                "email_opted_in": true,
                "is_service_account": true,
                "is_admin": true,
                "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
                "avatar_url": "text"
              },
              "metadata": {
                "password_changed_at": "2026-01-01T00:00:00.000Z",
                "email": "",
                "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
                "user_metadata": {
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                }
              },
              "resources": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "permission_denied": false,
              "name": "text"
            },
            "tags": [
              {
                "body": {
                  "created": "2026-01-01T00:00:00.000Z",
                  "updated": "2026-01-01T00:00:00.000Z",
                  "user_id": "123e4567-e89b-12d3-a456-426614174000",
                  "color": "grey",
                  "exclusive": true
                },
                "metadata": {
                  "tagged_count": 1
                },
                "resources": {
                  "user": {
                    "body": {
                      "created": "2026-01-01T00:00:00.000Z",
                      "updated": "2026-01-01T00:00:00.000Z",
                      "active": false,
                      "activation_token": "text",
                      "full_name": "",
                      "email_opted_in": true,
                      "is_service_account": true,
                      "is_admin": true,
                      "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
                      "avatar_url": "text"
                    },
                    "metadata": {
                      "password_changed_at": "2026-01-01T00:00:00.000Z",
                      "email": "",
                      "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
                      "user_metadata": {
                        "ANY_ADDITIONAL_PROPERTY": "anything"
                      }
                    },
                    "resources": {
                      "ANY_ADDITIONAL_PROPERTY": "anything"
                    },
                    "id": "123e4567-e89b-12d3-a456-426614174000",
                    "permission_denied": false,
                    "name": "text"
                  },
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                },
                "id": "123e4567-e89b-12d3-a456-426614174000",
                "permission_denied": false,
                "name": "text"
              }
            ],
            "latest_version_name": "text",
            "latest_version_id": "123e4567-e89b-12d3-a456-426614174000",
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        },
        "version": "text",
        "uri": "text",
        "type": "DataAnalysisArtifact",
        "materializer": {
          "module": "text",
          "attribute": "text",
          "type": "user",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "data_type": {
          "module": "text",
          "attribute": "text",
          "type": "user",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "save_type": "step_output",
        "artifact_store_id": "123e4567-e89b-12d3-a456-426614174000",
        "content_hash": "text",
        "item_count": 1
      },
      "metadata": {
        "visualizations": "[Circular Reference]",
        "run_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      },
      "resources": {
        "user": {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "active": false,
            "activation_token": "text",
            "full_name": "",
            "email_opted_in": true,
            "is_service_account": true,
            "is_admin": true,
            "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
            "avatar_url": "text"
          },
          "metadata": {
            "password_changed_at": "2026-01-01T00:00:00.000Z",
            "email": "",
            "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
            "user_metadata": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "resources": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        },
        "tags": [
          {
            "body": {
              "created": "2026-01-01T00:00:00.000Z",
              "updated": "2026-01-01T00:00:00.000Z",
              "user_id": "123e4567-e89b-12d3-a456-426614174000",
              "color": "grey",
              "exclusive": true
            },
            "metadata": {
              "tagged_count": 1
            },
            "resources": {
              "user": {
                "body": {
                  "created": "2026-01-01T00:00:00.000Z",
                  "updated": "2026-01-01T00:00:00.000Z",
                  "active": false,
                  "activation_token": "text",
                  "full_name": "",
                  "email_opted_in": true,
                  "is_service_account": true,
                  "is_admin": true,
                  "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
                  "avatar_url": "text"
                },
                "metadata": {
                  "password_changed_at": "2026-01-01T00:00:00.000Z",
                  "email": "",
                  "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
                  "user_metadata": {
                    "ANY_ADDITIONAL_PROPERTY": "anything"
                  }
                },
                "resources": {
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                },
                "id": "123e4567-e89b-12d3-a456-426614174000",
                "permission_denied": false,
                "name": "text"
              },
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "permission_denied": false,
            "name": "text"
          }
        ],
        "producer_step_run_id": "123e4567-e89b-12d3-a456-426614174000",
        "producer_pipeline_run_id": "123e4567-e89b-12d3-a456-426614174000",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false
    }
  ]
}

Create Artifact Version

post

Create a new artifact version.

Args: artifact_version: The artifact version to create.

Returns: The created artifact version.

Authorizations
OAuth2passwordRequired
Token URL:
Body

Request model for artifact versions.

userstring · uuid · nullableOptional
projectstring · uuidRequired
artifact_idstring · uuid · nullableOptional
artifact_namestring · nullableOptional
versionany of · nullableOptional
integerOptional
or
stringOptional
has_custom_namebooleanOptionalDefault: false
typestring · enumRequired

All possible types an artifact can have.

Possible values:
artifact_store_idstring · uuid · nullableOptional
uristring · max: 65535Required
content_hashstring · max: 255 · nullableOptional
tagsstring[] · nullableOptional

Should be a list of plain strings, e.g., ['tag1', 'tag2']

save_typestring · enumRequired

All possible method types of how artifact versions can be saved.

Possible values:
item_countinteger · nullableOptional
Responses
200

Successful Response

application/json

Response model for artifact versions.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
post/api/v1/artifact_versions
POST /api/v1/artifact_versions HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 685

{
  "user": "123e4567-e89b-12d3-a456-426614174000",
  "project": "123e4567-e89b-12d3-a456-426614174000",
  "artifact_id": "123e4567-e89b-12d3-a456-426614174000",
  "artifact_name": "text",
  "version": 1,
  "has_custom_name": false,
  "type": "DataAnalysisArtifact",
  "artifact_store_id": "123e4567-e89b-12d3-a456-426614174000",
  "uri": "text",
  "materializer": {
    "module": "text",
    "attribute": "text",
    "type": "user",
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "data_type": {
    "module": "text",
    "attribute": "text",
    "type": "user",
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "content_hash": "text",
  "tags": [
    "text"
  ],
  "visualizations": [
    {
      "type": "csv",
      "uri": "text"
    }
  ],
  "save_type": "step_output",
  "metadata": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "item_count": 1
}
{
  "body": {
    "created": "2026-01-01T00:00:00.000Z",
    "updated": "2026-01-01T00:00:00.000Z",
    "user_id": "123e4567-e89b-12d3-a456-426614174000",
    "project_id": "123e4567-e89b-12d3-a456-426614174000",
    "artifact": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000",
        "project_id": "123e4567-e89b-12d3-a456-426614174000"
      },
      "metadata": {
        "has_custom_name": false
      },
      "resources": {
        "user": {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "active": false,
            "activation_token": "text",
            "full_name": "",
            "email_opted_in": true,
            "is_service_account": true,
            "is_admin": true,
            "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
            "avatar_url": "text"
          },
          "metadata": {
            "password_changed_at": "2026-01-01T00:00:00.000Z",
            "email": "",
            "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
            "user_metadata": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "resources": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        },
        "tags": [
          {
            "body": {
              "created": "2026-01-01T00:00:00.000Z",
              "updated": "2026-01-01T00:00:00.000Z",
              "user_id": "123e4567-e89b-12d3-a456-426614174000",
              "color": "grey",
              "exclusive": true
            },
            "metadata": {
              "tagged_count": 1
            },
            "resources": {
              "user": {
                "body": {
                  "created": "2026-01-01T00:00:00.000Z",
                  "updated": "2026-01-01T00:00:00.000Z",
                  "active": false,
                  "activation_token": "text",
                  "full_name": "",
                  "email_opted_in": true,
                  "is_service_account": true,
                  "is_admin": true,
                  "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
                  "avatar_url": "text"
                },
                "metadata": {
                  "password_changed_at": "2026-01-01T00:00:00.000Z",
                  "email": "",
                  "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
                  "user_metadata": {
                    "ANY_ADDITIONAL_PROPERTY": "anything"
                  }
                },
                "resources": {
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                },
                "id": "123e4567-e89b-12d3-a456-426614174000",
                "permission_denied": false,
                "name": "text"
              },
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "permission_denied": false,
            "name": "text"
          }
        ],
        "latest_version_name": "text",
        "latest_version_id": "123e4567-e89b-12d3-a456-426614174000",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "version": "text",
    "uri": "text",
    "type": "DataAnalysisArtifact",
    "materializer": {
      "module": "text",
      "attribute": "text",
      "type": "user",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "data_type": {
      "module": "text",
      "attribute": "text",
      "type": "user",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "save_type": "step_output",
    "artifact_store_id": "123e4567-e89b-12d3-a456-426614174000",
    "content_hash": "text",
    "item_count": 1
  },
  "metadata": {
    "visualizations": [
      {
        "body": {
          "created": "2026-01-01T00:00:00.000Z",
          "updated": "2026-01-01T00:00:00.000Z",
          "type": "csv",
          "uri": "text"
        },
        "metadata": {
          "artifact_version_id": "123e4567-e89b-12d3-a456-426614174000"
        },
        "resources": "[Circular Reference]",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "permission_denied": false
      }
    ],
    "run_metadata": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  },
  "resources": {
    "user": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "active": false,
        "activation_token": "text",
        "full_name": "",
        "email_opted_in": true,
        "is_service_account": true,
        "is_admin": true,
        "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
        "avatar_url": "text"
      },
      "metadata": {
        "password_changed_at": "2026-01-01T00:00:00.000Z",
        "email": "",
        "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
        "user_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "resources": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "tags": [
      {
        "body": {
          "created": "2026-01-01T00:00:00.000Z",
          "updated": "2026-01-01T00:00:00.000Z",
          "user_id": "123e4567-e89b-12d3-a456-426614174000",
          "color": "grey",
          "exclusive": true
        },
        "metadata": {
          "tagged_count": 1
        },
        "resources": {
          "user": {
            "body": {
              "created": "2026-01-01T00:00:00.000Z",
              "updated": "2026-01-01T00:00:00.000Z",
              "active": false,
              "activation_token": "text",
              "full_name": "",
              "email_opted_in": true,
              "is_service_account": true,
              "is_admin": true,
              "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
              "avatar_url": "text"
            },
            "metadata": {
              "password_changed_at": "2026-01-01T00:00:00.000Z",
              "email": "",
              "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
              "user_metadata": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              }
            },
            "resources": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "permission_denied": false,
            "name": "text"
          },
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "permission_denied": false,
        "name": "text"
      }
    ],
    "producer_step_run_id": "123e4567-e89b-12d3-a456-426614174000",
    "producer_pipeline_run_id": "123e4567-e89b-12d3-a456-426614174000",
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "permission_denied": false
}

Prune Artifact Versions

delete

Prunes unused artifact versions and their artifacts.

Args: project_name_or_id: The project name or ID to prune artifact versions for. only_versions: Only delete artifact versions, keeping artifacts

Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
project_name_or_idany ofRequired
stringOptional
or
string · uuidOptional
only_versionsbooleanOptionalDefault: true
Responses
200

Successful Response

application/json
anyOptional
delete/api/v1/artifact_versions
DELETE /api/v1/artifact_versions?project_name_or_id=text HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

Get Artifact Version

get

Get an artifact version by ID.

Args: artifact_version_id: The ID of the artifact version to get. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.

Returns: The artifact version with the given ID.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
artifact_version_idstring · uuidRequired
Query parameters
hydratebooleanOptionalDefault: true
Responses
200

Successful Response

application/json

Response model for artifact versions.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
get/api/v1/artifact_versions/{artifact_version_id}
GET /api/v1/artifact_versions/{artifact_version_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "body": {
    "created": "2026-01-01T00:00:00.000Z",
    "updated": "2026-01-01T00:00:00.000Z",
    "user_id": "123e4567-e89b-12d3-a456-426614174000",
    "project_id": "123e4567-e89b-12d3-a456-426614174000",
    "artifact": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000",
        "project_id": "123e4567-e89b-12d3-a456-426614174000"
      },
      "metadata": {
        "has_custom_name": false
      },
      "resources": {
        "user": {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "active": false,
            "activation_token": "text",
            "full_name": "",
            "email_opted_in": true,
            "is_service_account": true,
            "is_admin": true,
            "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
            "avatar_url": "text"
          },
          "metadata": {
            "password_changed_at": "2026-01-01T00:00:00.000Z",
            "email": "",
            "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
            "user_metadata": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "resources": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        },
        "tags": [
          {
            "body": {
              "created": "2026-01-01T00:00:00.000Z",
              "updated": "2026-01-01T00:00:00.000Z",
              "user_id": "123e4567-e89b-12d3-a456-426614174000",
              "color": "grey",
              "exclusive": true
            },
            "metadata": {
              "tagged_count": 1
            },
            "resources": {
              "user": {
                "body": {
                  "created": "2026-01-01T00:00:00.000Z",
                  "updated": "2026-01-01T00:00:00.000Z",
                  "active": false,
                  "activation_token": "text",
                  "full_name": "",
                  "email_opted_in": true,
                  "is_service_account": true,
                  "is_admin": true,
                  "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
                  "avatar_url": "text"
                },
                "metadata": {
                  "password_changed_at": "2026-01-01T00:00:00.000Z",
                  "email": "",
                  "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
                  "user_metadata": {
                    "ANY_ADDITIONAL_PROPERTY": "anything"
                  }
                },
                "resources": {
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                },
                "id": "123e4567-e89b-12d3-a456-426614174000",
                "permission_denied": false,
                "name": "text"
              },
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "permission_denied": false,
            "name": "text"
          }
        ],
        "latest_version_name": "text",
        "latest_version_id": "123e4567-e89b-12d3-a456-426614174000",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "version": "text",
    "uri": "text",
    "type": "DataAnalysisArtifact",
    "materializer": {
      "module": "text",
      "attribute": "text",
      "type": "user",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "data_type": {
      "module": "text",
      "attribute": "text",
      "type": "user",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "save_type": "step_output",
    "artifact_store_id": "123e4567-e89b-12d3-a456-426614174000",
    "content_hash": "text",
    "item_count": 1
  },
  "metadata": {
    "visualizations": [
      {
        "body": {
          "created": "2026-01-01T00:00:00.000Z",
          "updated": "2026-01-01T00:00:00.000Z",
          "type": "csv",
          "uri": "text"
        },
        "metadata": {
          "artifact_version_id": "123e4567-e89b-12d3-a456-426614174000"
        },
        "resources": "[Circular Reference]",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "permission_denied": false
      }
    ],
    "run_metadata": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  },
  "resources": {
    "user": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "active": false,
        "activation_token": "text",
        "full_name": "",
        "email_opted_in": true,
        "is_service_account": true,
        "is_admin": true,
        "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
        "avatar_url": "text"
      },
      "metadata": {
        "password_changed_at": "2026-01-01T00:00:00.000Z",
        "email": "",
        "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
        "user_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "resources": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "tags": [
      {
        "body": {
          "created": "2026-01-01T00:00:00.000Z",
          "updated": "2026-01-01T00:00:00.000Z",
          "user_id": "123e4567-e89b-12d3-a456-426614174000",
          "color": "grey",
          "exclusive": true
        },
        "metadata": {
          "tagged_count": 1
        },
        "resources": {
          "user": {
            "body": {
              "created": "2026-01-01T00:00:00.000Z",
              "updated": "2026-01-01T00:00:00.000Z",
              "active": false,
              "activation_token": "text",
              "full_name": "",
              "email_opted_in": true,
              "is_service_account": true,
              "is_admin": true,
              "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
              "avatar_url": "text"
            },
            "metadata": {
              "password_changed_at": "2026-01-01T00:00:00.000Z",
              "email": "",
              "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
              "user_metadata": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              }
            },
            "resources": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "permission_denied": false,
            "name": "text"
          },
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "permission_denied": false,
        "name": "text"
      }
    ],
    "producer_step_run_id": "123e4567-e89b-12d3-a456-426614174000",
    "producer_pipeline_run_id": "123e4567-e89b-12d3-a456-426614174000",
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "permission_denied": false
}

Update Artifact Version

put

Update an artifact by ID.

Args: artifact_version_id: The ID of the artifact version to update. artifact_version_update: The update to apply to the artifact version.

Returns: The updated artifact.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
artifact_version_idstring · uuidRequired
Body

Artifact version update model.

namestring · nullableOptional
add_tagsstring[] · nullableOptional
remove_tagsstring[] · nullableOptional
Responses
200

Successful Response

application/json

Response model for artifact versions.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
put/api/v1/artifact_versions/{artifact_version_id}
PUT /api/v1/artifact_versions/{artifact_version_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 58

{
  "name": "text",
  "add_tags": [
    "text"
  ],
  "remove_tags": [
    "text"
  ]
}
{
  "body": {
    "created": "2026-01-01T00:00:00.000Z",
    "updated": "2026-01-01T00:00:00.000Z",
    "user_id": "123e4567-e89b-12d3-a456-426614174000",
    "project_id": "123e4567-e89b-12d3-a456-426614174000",
    "artifact": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000",
        "project_id": "123e4567-e89b-12d3-a456-426614174000"
      },
      "metadata": {
        "has_custom_name": false
      },
      "resources": {
        "user": {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "active": false,
            "activation_token": "text",
            "full_name": "",
            "email_opted_in": true,
            "is_service_account": true,
            "is_admin": true,
            "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
            "avatar_url": "text"
          },
          "metadata": {
            "password_changed_at": "2026-01-01T00:00:00.000Z",
            "email": "",
            "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
            "user_metadata": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "resources": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        },
        "tags": [
          {
            "body": {
              "created": "2026-01-01T00:00:00.000Z",
              "updated": "2026-01-01T00:00:00.000Z",
              "user_id": "123e4567-e89b-12d3-a456-426614174000",
              "color": "grey",
              "exclusive": true
            },
            "metadata": {
              "tagged_count": 1
            },
            "resources": {
              "user": {
                "body": {
                  "created": "2026-01-01T00:00:00.000Z",
                  "updated": "2026-01-01T00:00:00.000Z",
                  "active": false,
                  "activation_token": "text",
                  "full_name": "",
                  "email_opted_in": true,
                  "is_service_account": true,
                  "is_admin": true,
                  "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
                  "avatar_url": "text"
                },
                "metadata": {
                  "password_changed_at": "2026-01-01T00:00:00.000Z",
                  "email": "",
                  "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
                  "user_metadata": {
                    "ANY_ADDITIONAL_PROPERTY": "anything"
                  }
                },
                "resources": {
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                },
                "id": "123e4567-e89b-12d3-a456-426614174000",
                "permission_denied": false,
                "name": "text"
              },
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "permission_denied": false,
            "name": "text"
          }
        ],
        "latest_version_name": "text",
        "latest_version_id": "123e4567-e89b-12d3-a456-426614174000",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "version": "text",
    "uri": "text",
    "type": "DataAnalysisArtifact",
    "materializer": {
      "module": "text",
      "attribute": "text",
      "type": "user",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "data_type": {
      "module": "text",
      "attribute": "text",
      "type": "user",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "save_type": "step_output",
    "artifact_store_id": "123e4567-e89b-12d3-a456-426614174000",
    "content_hash": "text",
    "item_count": 1
  },
  "metadata": {
    "visualizations": [
      {
        "body": {
          "created": "2026-01-01T00:00:00.000Z",
          "updated": "2026-01-01T00:00:00.000Z",
          "type": "csv",
          "uri": "text"
        },
        "metadata": {
          "artifact_version_id": "123e4567-e89b-12d3-a456-426614174000"
        },
        "resources": "[Circular Reference]",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "permission_denied": false
      }
    ],
    "run_metadata": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  },
  "resources": {
    "user": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "active": false,
        "activation_token": "text",
        "full_name": "",
        "email_opted_in": true,
        "is_service_account": true,
        "is_admin": true,
        "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
        "avatar_url": "text"
      },
      "metadata": {
        "password_changed_at": "2026-01-01T00:00:00.000Z",
        "email": "",
        "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
        "user_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "resources": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "tags": [
      {
        "body": {
          "created": "2026-01-01T00:00:00.000Z",
          "updated": "2026-01-01T00:00:00.000Z",
          "user_id": "123e4567-e89b-12d3-a456-426614174000",
          "color": "grey",
          "exclusive": true
        },
        "metadata": {
          "tagged_count": 1
        },
        "resources": {
          "user": {
            "body": {
              "created": "2026-01-01T00:00:00.000Z",
              "updated": "2026-01-01T00:00:00.000Z",
              "active": false,
              "activation_token": "text",
              "full_name": "",
              "email_opted_in": true,
              "is_service_account": true,
              "is_admin": true,
              "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
              "avatar_url": "text"
            },
            "metadata": {
              "password_changed_at": "2026-01-01T00:00:00.000Z",
              "email": "",
              "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
              "user_metadata": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              }
            },
            "resources": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "permission_denied": false,
            "name": "text"
          },
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "permission_denied": false,
        "name": "text"
      }
    ],
    "producer_step_run_id": "123e4567-e89b-12d3-a456-426614174000",
    "producer_pipeline_run_id": "123e4567-e89b-12d3-a456-426614174000",
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "permission_denied": false
}

Delete Artifact Version

delete

Delete an artifact version by ID.

Args: artifact_version_id: The ID of the artifact version to delete. delete_metadata: Whether to delete the artifact version metadata. delete_from_artifact_store: Whether to also delete the artifact data.

Raises: RuntimeError: If the artifact data cannot be deleted from the artifact store. ValueError: On metadata deletion of used versions, on data deletion of versions without artifact store.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
artifact_version_idstring · uuidRequired
Query parameters
delete_metadatabooleanOptionalDefault: true
delete_from_artifact_storebooleanOptionalDefault: false
Responses
200

Successful Response

application/json
anyOptional
delete/api/v1/artifact_versions/{artifact_version_id}
DELETE /api/v1/artifact_versions/{artifact_version_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

ZenML Scarf

Last updated

Was this helpful?